jQuery(function($) {
	"use strict";
	
	//Variables
	var fixed_point = 0;
	var loaded = false;
	
	// Author Code Here
	$(window).load(function(){
		
		$('.main-nav').onePageNav({
			currentClass: 'active',
			changeHash: false,
			scrollSpeed: 400
		});
		
		
		
		
		// Navbar "Breaking" Fix
		loaded = true;
		Adjust();
		$('.navbar').after("<div class='navbar-filler'></div>");
	});

	$(window).resize(function(){
		Adjust();
		$('ul.submenu li').each(function(){
		   var $this = $(this);
		   if($this.hasClass('active')){
				$this.closest('.main-nav > li').addClass('active');
		   }        
		});
	});


	$(window).scroll(function(){

		//Following Navbar
		if($(window).scrollTop() > fixed_point && loaded)
		{
			$('.navbar').addClass('nav-fixed');
			$('.navbar-filler').height($('.navbar').outerHeight(true));
		}
		else
		{
			$('.navbar').removeClass('nav-fixed');
			$('.navbar-filler').height(0);
		}
		$('ul.submenu li').each(function(){
		   var $this = $(this);
		   if($this.hasClass('active')){
				$this.closest('.main-nav > li').addClass('active');
		   }        
		});
	});

	function Adjust(){
		
		if(!$('.navbar').hasClass("nav-fixed") && loaded)
			fixed_point = $('.navbar').offset().top;
		
		$('ul.submenu li').each(function(){
		   var $this = $(this);
		   if($this.hasClass('active')){
				$this.closest('.main-nav > li').addClass('active');
		   }        
		});
		
	}
	

	// Mobile Nav
	$('.mobile-nav > ul').html($('.navbar-nav').html());
	$('.mobile-nav').append("<a href='#' class='close-btn'><i class='icon_close'></i></a>");

	$('.navbar-toggle').click(function(event){
		event.stopPropagation();
		$('#wrapper').addClass('behind');
		$('.mobile-nav').addClass('active');
	});
	$('.mobile-nav a.close-btn').click(function(event){
		$('#wrapper').removeClass('behind');
		$('.mobile-nav').removeClass('active');
		event.preventDefault();
	});

	// Scrolling
	$('a.scrollto').click(function() {
		if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
			var target = $(this.hash);
			target = target.length ? target : $("[name='" + this.hash.slice(1) +"']");
			if (target.length) {
				$('#wrapper').removeClass('behind');
				$('.mobile-nav').removeClass('active');
				$('html,body').animate({
					scrollTop: target.offset().top
				}, 1000);
				return false;
			}
		}
	});
});