<?php
/**
 * @version    1.4
 * @package    VG Flexshop
 * @author     VinaGecko <support@vinagecko.com>
 * @copyright  Copyright (C) 2015 VinaGecko.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://vinagecko.com
 */
$flexshop_options  = flexshop_get_global_variables(); 
$flexshop_options['copyright_show'] 	= isset($flexshop_options['copyright_show']) ? $flexshop_options['copyright_show'] : ""; 
$flexshop_options['footer_payment'] 	= isset($flexshop_options['footer_payment']) ? $flexshop_options['footer_payment'] : ""; 
$flexshop_options['newsletter_show'] 	= isset($flexshop_options['newsletter_show']) ? $flexshop_options['newsletter_show'] : ""; 
$flexshop_options['social_show'] 	= isset($flexshop_options['social_show']) ? $flexshop_options['social_show'] : ""; 
$flexshop_options['ftsocial_header_icons'] 	= isset($flexshop_options['ftsocial_header_icons']) ? $flexshop_options['ftsocial_header_icons'] : ""; 
// HieuJa get Preset Color Option
$presetopt = flexshop_get_preset();
// HieuJa end block

?>
			
			<div class="clearfix"></div>
			<div id="wrapper_footer">
				<!-- Top Bottom -->
				<?php 
					$bottom1 = (is_active_sidebar('bottom1')) ? '1' : '0';
					$bottom2 = (is_active_sidebar('bottom2')) ? '1' : '0';
					$bottom3 = (is_active_sidebar('bottom3')) ? '1' : '0';
					$bottom4 = (is_active_sidebar('bottom4')) ? '1' : '0';
					
					$sumbottom = $bottom1 + $bottom2 + $bottom3 + $bottom4;
					
					$colbottombar = "3";
					
					switch ($sumbottom) {
						case "4":
							$colbottombar = "3";
							break;
						case "3":
							$colbottombar = "4";
							break;
						case "2":
							$colbottombar = "6";
							break;
						default:
							$colbottombar = "12";
					}	
				?>
				<?php if (is_active_sidebar('bottom1') || is_active_sidebar('bottom2') || is_active_sidebar('bottom3') || is_active_sidebar('bottom4')) : ?>
				<div class="top-bottom-wrapper">
					<div class="container">
						<div class="row">
						
							<?php if (is_active_sidebar('bottom1')) : ?>
								<div class="col-xs-12 col-md-<?php echo esc_attr($colbottombar); ?>">
									<?php
										dynamic_sidebar( 'bottom1' );
									?>
								</div>
							<?php endif;?>
						
							<?php if (is_active_sidebar('bottom2')) : ?>
								<div class="col-xs-12 col-md-<?php echo esc_attr($colbottombar); ?>">
									<?php
										dynamic_sidebar( 'bottom2' );
									?>
								</div>
							<?php endif;?>	
							
							<?php if (is_active_sidebar('bottom3')) : ?>
								<div class="col-xs-12 col-md-<?php echo esc_attr($colbottombar); ?>">
									<?php
										dynamic_sidebar( 'bottom3' );
									?>
								</div>
							<?php endif;?>
							
							<?php if (is_active_sidebar('bottom4')) : ?>
								<div class="col-xs-12 col-md-<?php echo esc_attr($colbottombar); ?>">
									<?php
										dynamic_sidebar( 'bottom4' );
									?>
								</div>
							<?php endif;?>
							
							<?php if (is_active_sidebar('bottom5')) : ?>
								<div class="vg-bottom-full col-xs-12 col-md-12 ">
									<?php
										dynamic_sidebar( 'bottom5' );
									?>
								</div>
							<?php endif;?>
						</div>
					</div>
				</div>
				<?php endif; ?>
				<!-- End Top Bottom -->
				
				<!-- Bottom -->
				<?php if((is_active_sidebar('footer-top-right')) || ($flexshop_options['social_show'])) : ?>
				<div class="bottom-wrapper">
					<div class="container">
						<div class="row">
							
							<?php if ((is_active_sidebar('footer-top-left')) || (isset($flexshop_options['social_show']) && $flexshop_options['social_show'])) : ?>
							<div class="footer-top-left <?php echo (is_active_sidebar('footer-top-right')) ? 'col-md-3 col-sm-12 col-xs-12' : 'col-md-12 col-sm-12 col-xs-12'; ?>">
								<?php if($flexshop_options['social_show']) : ?>
									<div class="vg-social">
									<?php
										echo '<ul class="social-icons">';
										foreach($flexshop_options['ftsocial_icons'] as $key=>$value) {
											if($value!=''){
												if($key=='vimeo'){
													echo '<li><a class="'.esc_attr($key).' social-icon" href="'.esc_url($value).'" title="'.ucwords(esc_attr($key)).'" target="_blank"><i class="fa fa-vimeo-square"></i></a></li>';
												} else {
													echo '<li><a class="'.esc_attr($key).' social-icon" href="'.esc_url($value).'" title="'.ucwords(esc_attr($key)).'" target="_blank"><i class="fa fa-'.esc_attr($key).'"></i></a></li>';
												}
											}
										}
										echo '</ul>';
									 ?>
									 </div>
								<?php endif; ?>
								<?php if (is_active_sidebar('footer-top-left')) : ?>
									<?php
										dynamic_sidebar( 'footer-top-left' );
									?>
								<?php endif; ?>	
							</div>
							
							
							
							<?php endif;?>
							
							<?php if (is_active_sidebar('footer-top-right')) : ?>

								<div class="footer-top-right <?php echo (is_active_sidebar('footer-top-left')) || ($flexshop_options['social_show']) ? 'col-md-9 col-sm-12 col-xs-12' : 'col-md-12 col-sm-12 col-xs-12'; ?> ">
									<?php
										dynamic_sidebar( 'footer-top-right' );
									?>
								</div>
							<?php endif;?>
							
						</div>
					</div>
				</div>
				<?php endif; ?>
				
				
				<!-- End Bottom -->
				
				
				<?php if (is_active_sidebar('footer-left') ||  is_active_sidebar('footer-right')) : ?>
				<div class="footer-wrapper">
					<div class="container">
						<div class="row">
							
							<?php if (is_active_sidebar('footer-left')) : ?>
							<div class="footer-left col-xs-12 col-md-<?php echo (is_active_sidebar('footer-right')) ? '6' : '12 text-center'; ?>">
								<?php
									dynamic_sidebar( 'footer-left' );
								?>
							</div>
							<?php endif;?>
							
							<?php if (is_active_sidebar('footer-right')) : ?>
							<div class="footer-right col-xs-12 col-md-<?php echo (is_active_sidebar('footer-left')) ? '6 text-right' : '12 text-center'; ?>">
								<?php
									dynamic_sidebar( 'footer-right' );
								?>
							</div>
							<?php endif;?>
							
						</div>
					</div>
				</div>
				<?php endif;?>			
			</div>
			
	</div><!-- .wrapper -->
	<div class="to-top"><i class="fa fa-chevron-up"></i></div>

	<?php wp_footer(); ?>
</body>
</html>