<?php
/**
 * Template Name: Contact Template
 *
 * Description: Contact page template
 *
 * @package    VG Amadea
 * @author     VinaGecko <support@vinagecko.com>
 * @copyright  Copyright (C) 2015 VinaGecko.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://vinagecko.com
 */

$flexshop_options  = flexshop_get_global_variables();

flexshop_get_header();
?>
<div class="main-container default-page contact-page">
	<div class="container">
		<div class="row">
			<div class="col-xs-12">
				<?php flexshop_breadcrumb(); ?>
				<header class="entry-header">
					<h1 class="entry-title"><?php the_title(); ?></h1>
				</header>
			</div>
		</div>
	</div>
	<div class="full-wrapper contact-fom-info">
		<div class="row">
			<div class="col-xs-12">
				<div class="page-content">
					<?php while (have_posts()) : the_post(); ?>
						<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
							<div class="entry-content">
								<?php the_content(); ?>
							</div>
						</article>
					<?php endwhile; ?>
				</div>
			</div>
		</div>
	</div>
</div>
<?php flexshop_get_footer(); ?>