<?php
/**
 * The Template for displaying all single products.
 *
 * Override this template by copying it to yourtheme/woocommerce/single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if (! defined('ABSPATH')) exit; // Exit if accessed directly

flexshop_get_header(); ?>
<?php
 $flexshop_options  	=  flexshop_get_global_variables(); 
 $flexshop_options['sidebar_product'] 	= isset($flexshop_options['sidebar_product']) ? $flexshop_options['sidebar_product'] : ""; 
 ?>

<div class="main-container page-shop">
	<div class="page-content">
		<div class="container">
			<?php do_action('woocommerce_breadcrumb_content'); ?>
			<?php do_action('woocommerce_before_main_content'); ?>
			<div class="row">
				<?php if($flexshop_options['sidebar_product']=='left' || !isset($flexshop_options['sidebar_product'])) :?>
					<?php get_sidebar('product'); ?>
				<?php endif; ?>
				<div id="product-content" class="col-xs-12 <?php if (is_active_sidebar('sidebar-product')) : ?>col-md-9 <?php endif; ?>">
					<div class="product-view">
						<?php while (have_posts()) : the_post(); ?>

							<?php wc_get_template_part('content', 'single-product'); ?>

						<?php endwhile; // end of the loop. ?>
						
					</div>
				</div>
				
				<?php if($flexshop_options['sidebar_product']=='right' || !isset($flexshop_options['sidebar_product'])) :?>
					<?php get_sidebar('product'); ?>
				<?php endif; ?>
			</div>
			<?php  do_action('woocommerce_after_main_content'); ?>
			
			<?php do_action('woocommerce_show_related_products'); ?>
		</div>
		
	</div>
</div>
<?php flexshop_get_footer(); ?>