<?php
/**
 * Single Product Up-Sells
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if (! defined('ABSPATH')) exit; // Exit if accessed directly



if ( $upsells ) : ?>

<div class="widget upsells_products_widget">
	<h3 class="widget-title"><span><?php echo (isset($flexshop_options['upsells_title'])) ? esc_html($flexshop_options['upsells_title']) : esc_html_e( 'You may also like&hellip;', 'vg-flexshop'); ?></span></h3>
	
	<div class="upsells products">

		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $upsells as $upsell ) : ?>

				<?php
				 	$post_object = get_post( $upsell->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					wc_get_template_part( 'content', 'product' ); ?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

	</div>
</div>
<?php endif;

wp_reset_postdata();
